Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.2.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UICollapsibleSubTableToggleControl

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractCollapsibleSubTableToggler
                  org.richfaces.component.UICollapsibleSubTableToggleControl

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    @Generated(value={"RichFaces CDK","4.2.2.Final"})
    public class UICollapsibleSubTableToggleControl

extends AbstractCollapsibleSubTableToggler

The <rich:collapsibleSubTableToggler> component provides a toggle control for the user to expand and collapse sub-tables.

Author:
  Anton Belevich

Nested Class Summary
`protected static class` | `UICollapsibleSubTableToggleControl.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.AbstractCollapsibleSubTableToggler
`DEFAULT_EVENT`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UICollapsibleSubTableToggleControl()`

Method Summary
`String` | `getCollapsedIcon()` The icon of the toggler when the sub-table is collapsed
`String` | `getCollapsedLabel()` The label of the toggler when the sub-table is collapsed
`String` | `getEvent()` The mouse event which toggler reacts to toggle the sub-table: click (default), dblclick, mousedown, mouseup, etc.
`String` | `getExpandedIcon()` The icon of the toggler when the sub-table is expanded
`String` | `getExpandedLabel()` The label of the toggler when the sub-table is expanded
`String` | `getFamily()`
`void` | `setCollapsedIcon(String collapsedIcon)`
`void` | `setCollapsedLabel(String collapsedLabel)`
`void` | `setEvent(String event)`
`void` | `setExpandedIcon(String expandedIcon)`
`void` | `setExpandedLabel(String expandedLabel)`

Methods inherited from class org.richfaces.component.AbstractCollapsibleSubTableToggler
`getFor, setFor`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UICollapsibleSubTableToggleControl

    public UICollapsibleSubTableToggleControl()

Method Detail

### getFamily

    public String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### getCollapsedIcon

    public String getCollapsedIcon()

  Description copied from class: `AbstractCollapsibleSubTableToggler`
  The icon of the toggler when the sub-table is collapsed

  Specified by:
    `getCollapsedIcon` in class `AbstractCollapsibleSubTableToggler`

### setCollapsedIcon

    public void setCollapsedIcon(String collapsedIcon)

### getCollapsedLabel

    public String getCollapsedLabel()

  Description copied from class: `AbstractCollapsibleSubTableToggler`
  The label of the toggler when the sub-table is collapsed

  Specified by:
    `getCollapsedLabel` in class `AbstractCollapsibleSubTableToggler`

### setCollapsedLabel

    public void setCollapsedLabel(String collapsedLabel)

### getEvent

    public String getEvent()

  Description copied from class: `AbstractCollapsibleSubTableToggler`
  The mouse event which toggler reacts to toggle the sub-table: click (default), dblclick, mousedown, mouseup, etc.

  Specified by:
    `getEvent` in class `AbstractCollapsibleSubTableToggler`

### setEvent

    public void setEvent(String event)

### getExpandedIcon

    public String getExpandedIcon()

  Description copied from class: `AbstractCollapsibleSubTableToggler`
  The icon of the toggler when the sub-table is expanded

  Specified by:
    `getExpandedIcon` in class `AbstractCollapsibleSubTableToggler`

### setExpandedIcon

    public void setExpandedIcon(String expandedIcon)

### getExpandedLabel

    public String getExpandedLabel()

  Description copied from class: `AbstractCollapsibleSubTableToggler`
  The label of the toggler when the sub-table is expanded

  Specified by:
    `getExpandedLabel` in class `AbstractCollapsibleSubTableToggler`

### setExpandedLabel

    public void setExpandedLabel(String expandedLabel)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.2.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.